Subject: Re: [PATCH 1/2] gnu: Remove linux-libre 4.14.

From: Leo Famulari <[email-masked]>
Date: Mon, 22 Jan 2024 13:30:47 -0500

On Sun, Jan 14, 2024 at 03:01:36AM +0100, Wilko Meyer wrote:
> This kernel series is no longer supported upstream.
> 
> * gnu/packages/linux.scm (linux-libre-4.14-version, linux-libre-4.14-gnu-revision,
>   deblob-scripts-4.14, linux-libre-4.14-pristine-source,
>   linux-libre-4.14-source, linux-libre-headers-4.14, linux-libre-arm-generic-4.14,
>   linux-libre-omap2plus-4.14, linux-libre-4.14): Remove variables.
> * gnu/packages/aux-files/linux-libre/4.14-arm.conf,
>   gnu/packages/aux-files/linux-libre/4.14-i686.conf,
>   gnu/packages/aux-files/linux-libre/4.14-x86_64.conf: Delete files.
> * Makefile.am (AUX_FILES): Remove aforementioned .conf files.

Thanks! The patches no longer applied so I "recreated" them by copy and
paste.

Then, I grepped 'linux-libre-4.14' and noticed that there was a Guix
test using this package, so I removed that test in the amended commit.

Finally, I adjusted the commit hash in the news entry, tested with `make
check-channel-news`. News entries are a common source of errors that
crash `guix pull`, because the commit hash changes when signing commits
or when doing `git pull --rebase`. Always check the news before pushing!

Pushed as 497780ad25faf71d3ace39efe7451ef01e353d5b 

That's about 27000 lines of kernel configuration removed from the
codebase.

------
$ git diff --stat 10a193596368443f441077525ebbddf787d91e4b^ 10a193596368443f441077525ebbddf787d91e4b
 Makefile.am                                         |    3 -
 gnu/packages/aux-files/linux-libre/4.14-arm.conf    | 8369 -----------------------------
 gnu/packages/aux-files/linux-libre/4.14-i686.conf   | 9537 ----------------------------------
 gnu/packages/aux-files/linux-libre/4.14-x86_64.conf | 9413 ---------------------------------
 gnu/packages/linux.scm                              |   48 -
 gnu/tests/base.scm                                  |    4 -
 6 files changed, 27374 deletions(-)
------